# Treasure Chest Tweaks

Adds the ability to easily configure treasure chests.

## Features
- Configurable loot tables for treasure chests
- Configurable timer to respawn items in treasure chests
## Changelog
```
1.0.0 - official release
1.0.1 - added fallbacks and fixes thanks to Azumatt
1.0.2 - added message log toggle and cleaned up solution
1.0.3 - Latest valheim update patch and YAML configuration option
1.0.4 - Overhauled project, added redundancies
1.0.5 - Fixed duplicate yml entries
1.0.6 - Added redundancy to check if ZNet is valid
1.0.7 - More redundancy checks
```
## Treasure Chest Configurations
Input value can be configured by a string list seperated by colons for each item and commas seperating item data: `"prefabName,minStack,maxStack,weight"`

## YAML Configurations
Select YAML option and load up the game to generate the file. Once generated, go to your config folder to find the list of tweakable treasure chests.

Example: `"Feathers,1,3,1:Coins,5,15,1:Amber,1,1,1:ArrowFlint,10,20,1"`

## Contact information
For Questions or Comments, find <span style="color:orange">Rusty</span> in the Odin Plus Team Discord

[![https://i.imgur.com/XXP6HCU.png](https://i.imgur.com/XXP6HCU.png)](https://discord.gg/5gXNxNkUBt)

If you enjoy this mod and want to support me: [Donate via Buy Me a Coffee](https://www.buymeacoffee.com/peimalcolm2)
